import 'package:flutter/material.dart';
import 'package:get/get.dart';
import '../../../core/constants/translation_keys.dart';
import '../../../custom_widgets/custom_app_bar.dart';
import '../../../res/app_colors.dart';
import '../../../res/app_dimensions.dart';
import '../controllers/about_us_controller.dart';

class AboutUsView extends GetView<AboutUsController> {
  const AboutUsView({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: DashBoardAppBar(
        title: TranslationKeys.makeTranslation(TranslationKeys.textAboutUs),
        onBackButtonPressed: () {
          Get.back();
        },
      ),
      body: SingleChildScrollView(
        child: Padding(
          padding: EdgeInsets.symmetric(vertical: AppDimensions.screenVerticalPadding, horizontal: AppDimensions.screenHorizontalPadding),
          child: Column(crossAxisAlignment: CrossAxisAlignment.start, children: [
            Text(TranslationKeys.makeTranslation(TranslationKeys.textWHY), style: Theme.of(context).textTheme.titleSmall?.copyWith(color: AppColors.colorPrimary)),
            const SizedBox(height: 10),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textWHYDescription), style: Theme.of(context).textTheme.bodySmall),
            const SizedBox(height: 20),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textWHAT), style: Theme.of(context).textTheme.titleSmall?.copyWith(color: AppColors.colorPrimary)),
            const SizedBox(height: 10),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textWHATDescription), style: Theme.of(context).textTheme.bodySmall),
            const SizedBox(height: 20),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textWHO), style: Theme.of(context).textTheme.titleSmall?.copyWith(color: AppColors.colorPrimary)),
            const SizedBox(height: 10),
            Text(TranslationKeys.makeTranslation(TranslationKeys.textWHODescription), style: Theme.of(context).textTheme.bodySmall),
            const SizedBox(height: 10),
            Text("Version", style: Theme.of(context).textTheme.bodySmall),
            const SizedBox(height: 10),
            Text("1.0.0.3", style: Theme.of(context).textTheme.bodySmall),
          ]),
        ),
      ),
    );
  }
}
